require 'chise'
include CHISE
$KCODE = 'u'

ds = DataSource.new(DataSource::Berkeley_DB , "/cygdrive/d/work/chise/char-db")

dt = ds.open_decoding_table("ideograph-daikanwa")
char_id = dt.get_char(20) # 大漢和番号20

ft = ds.open_feature_table("ideographic-structure")
value = ft.get_value(char_id)
printf ("#x%X => %s\n", char_id, value.to_s)
ft.close

ds.close
